Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dgtrfs

    java.lang.Object
      org.netlib.lapack.Dgtrfs

    public class Dgtrfs

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DGTRFS improves the computed solution to a system of linear
     *  equations when the coefficient matrix is tridiagonal, and provides
     *  error bounds and backward error estimates for the solution.
     *
     *  Arguments
     *  =========
     *
     *  TRANS   (input) CHARACTER*1
     *          Specifies the form of the system of equations:
     *          = 'N':  A * X = B     (No transpose)
     *          = 'T':  A**T * X = B  (Transpose)
     *          = 'C':  A**H * X = B  (Conjugate transpose = Transpose)
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  NRHS    (input) INTEGER
     *          The number of right hand sides, i.e., the number of columns
     *          of the matrix B.  NRHS >= 0.
     *
     *  DL      (input) DOUBLE PRECISION array, dimension (N-1)
     *          The (n-1) subdiagonal elements of A.
     *
     *  D       (input) DOUBLE PRECISION array, dimension (N)
     *          The diagonal elements of A.
     *
     *  DU      (input) DOUBLE PRECISION array, dimension (N-1)
     *          The (n-1) superdiagonal elements of A.
     *
     *  DLF     (input) DOUBLE PRECISION array, dimension (N-1)
     *          The (n-1) multipliers that define the matrix L from the
     *          LU factorization of A as computed by DGTTRF.
     *
     *  DF      (input) DOUBLE PRECISION array, dimension (N)
     *          The n diagonal elements of the upper triangular matrix U from
     *          the LU factorization of A.
     *
     *  DUF     (input) DOUBLE PRECISION array, dimension (N-1)
     *          The (n-1) elements of the first superdiagonal of U.
     *
     *  DU2     (input) DOUBLE PRECISION array, dimension (N-2)
     *          The (n-2) elements of the second superdiagonal of U.
     *
     *  IPIV    (input) INTEGER array, dimension (N)
     *          The pivot indices; for 1 <= i <= n, row i of the matrix was
     *          interchanged with row IPIV(i).  IPIV(i) will always be either
     *          i or i+1; IPIV(i) = i indicates a row interchange was not
     *          required.
     *
     *  B       (input) DOUBLE PRECISION array, dimension (LDB,NRHS)
     *          The right hand side matrix B.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= max(1,N).
     *
     *  X       (input/output) DOUBLE PRECISION array, dimension (LDX,NRHS)
     *          On entry, the solution matrix X, as computed by DGTTRS.
     *          On exit, the improved solution matrix X.
     *
     *  LDX     (input) INTEGER
     *          The leading dimension of the array X.  LDX >= max(1,N).
     *
     *  FERR    (output) DOUBLE PRECISION array, dimension (NRHS)
     *          The estimated forward error bound for each solution vector
     *          X(j) (the j-th column of the solution matrix X).
     *          If XTRUE is the true solution corresponding to X(j), FERR(j)

     *          is an estimated upper bound for the magnitude of the largest

     *          element in (X(j) - XTRUE) divided by the magnitude of the
     *          largest element in X(j).  The estimate is as reliable as
     *          the estimate for RCOND, and is almost always a slight
     *          overestimate of the true error.
     *
     *  BERR    (output) DOUBLE PRECISION array, dimension (NRHS)
     *          The componentwise relative backward error of each solution
     *          vector X(j) (i.e., the smallest relative change in
     *          any element of A or B that makes X(j) an exact solution).
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (3*N)
     *
     *  IWORK   (workspace) INTEGER array, dimension (N)
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  Internal Parameters
     *  ===================
     *
     *  ITMAX is the maximum number of steps of iterative refinement.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dgtrfs()`

Method Summary
`static void` | `dgtrfs(java.lang.String trans, int n, int nrhs, double[] dl, int _dl_offset, double[] d, int _d_offset, double[] du, int _du_offset, double[] dlf, int _dlf_offset, double[] df, int _df_offset, double[] duf, int _duf_offset, double[] du2, int _du2_offset, int[] ipiv, int _ipiv_offset, double[] b, int _b_offset, int ldb, double[] x, int _x_offset, int ldx, double[] ferr, int _ferr_offset, double[] berr, int _berr_offset, double[] work, int _work_offset, int[] iwork, int _iwork_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dgtrfs

    public Dgtrfs()

Method Detail

### dgtrfs

    public static void dgtrfs(java.lang.String trans,
                              int n,
                              int nrhs,
                              double[] dl,
                              int _dl_offset,
                              double[] d,
                              int _d_offset,
                              double[] du,
                              int _du_offset,
                              double[] dlf,
                              int _dlf_offset,
                              double[] df,
                              int _df_offset,
                              double[] duf,
                              int _duf_offset,
                              double[] du2,
                              int _du2_offset,
                              int[] ipiv,
                              int _ipiv_offset,
                              double[] b,
                              int _b_offset,
                              int ldb,
                              double[] x,
                              int _x_offset,
                              int ldx,
                              double[] ferr,
                              int _ferr_offset,
                              double[] berr,
                              int _berr_offset,
                              double[] work,
                              int _work_offset,
                              int[] iwork,
                              int _iwork_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD